Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.capabilities
Class WFSOperationsMetadata

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
          org.deegree.ogcwebservices.wfs.capabilities.WFSOperationsMetadata

All Implemented Interfaces:
  Serializable

    public class WFSOperationsMetadata

extends OperationsMetadata

Represents the `OperationMetadata` part in the capabilities document of a WFS according to the `Web Feature Service Implementation Specification 1.1.0`.

In addition to the `GetCapabilities` operation that all `OWS 0.3` compliant services must implement, it may define some or all of the following operations:

Name | Mandatory? | Function
--- | --- | ---
`DescribeFeatureType` | X | The function of the `DescribeFeatureType` operation is to generate a schema description of feature types serviced by a WFS implementation.
`GetFeature` | X | The `GetFeature` operation allows retrieval of features from a web feature service.
`GetFeatureWithLock` | - | The lock action of the `GetFeatureWithLock` request is to attempt to lock all identified feature instances. If all identified feature instances cannot be locked, then an exception report should be generated.
`GetGMLObject` | - | The `GetGMLObject` operation allows retrieval of features and elements by ID from a web feature service.
`LockFeature` | - | The purpose of the `LockFeature` operation is to expose a long term feature locking mechanism to ensure consistency. The lock is considered long term because network latency would make feature locks last relatively longer than native commercial database locks.
`Transaction` | - | The `Transaction` operation is used to describe data transformation operations that are to be applied to web accessible feature instances. When the transaction has been completed, a web feature service will generate an XML response document indicating the completion status of the transaction.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $
See Also:
  `OperationsMetadata`, Serialized Form

Field Summary
`static String` | `DESCRIBE_FEATURETYPE_NAME`
`static String` | `GET_FEATURE_NAME`
`static String` | `GET_FEATURE_WITH_LOCK_NAME`
`static String` | `GET_GML_OBJECT_NAME`
`static String` | `LOCK_FEATURE_NAME`
`static String` | `TRANSACTION_NAME`

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`constraints, GET_CAPABILITIES_NAME, getCapabilitiesOperation, parameters`

Constructor Summary
`WFSOperationsMetadata(Operation getCapabilities, Operation describeFeatureType, Operation getFeature, Operation getFeatureWithLock, Operation getGMLObject, Operation lockFeature, Operation transaction, OWSDomainType[] parameters, OWSDomainType[] constraints)` Constructs a new `WFSOperationsMetadata` instance from the given parameters.

Method Summary
`Operation` | `getDescribeFeatureType()`
`Operation` | `getGetFeature()`
`Operation` | `getGetFeatureWithLock()`
`Operation` | `getGetGMLObject()`
`Operation` | `getLockFeature()`
`Operation[]` | `getOperations()` Returns all `Operations` known to the WFS.
`Operation` | `getTransaction()`
`void` | `setDescribeFeatureType(Operation describeFeatureType)`
`void` | `setGetFeature(Operation getFeature)`
`void` | `setGetFeatureWithLock(Operation getFeatureWithLock)`
`void` | `setGetGMLObject(Operation getGMLObject)`
`void` | `setLockFeature(Operation lockFeature)`
`void` | `setTransaction(Operation transaction)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`addConstraint, addParameter, getConstraints, getGetCapabilitiesOperation, getParameter, removeParameter, setConstraints, setGetCapabilitiesOperation, setOperationParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIBE_FEATURETYPE_NAME

    public static final String DESCRIBE_FEATURETYPE_NAME

See Also:
  Constant Field Values

### GET_FEATURE_NAME

    public static final String GET_FEATURE_NAME

See Also:
  Constant Field Values

### GET_FEATURE_WITH_LOCK_NAME

    public static final String GET_FEATURE_WITH_LOCK_NAME

See Also:
  Constant Field Values

### GET_GML_OBJECT_NAME

    public static final String GET_GML_OBJECT_NAME

See Also:
  Constant Field Values

### LOCK_FEATURE_NAME

    public static final String LOCK_FEATURE_NAME

See Also:
  Constant Field Values

### TRANSACTION_NAME

    public static final String TRANSACTION_NAME

See Also:
  Constant Field Values

Constructor Detail

### WFSOperationsMetadata

    public WFSOperationsMetadata(Operation getCapabilities,
                                 Operation describeFeatureType,
                                 Operation getFeature,
                                 Operation getFeatureWithLock,
                                 Operation getGMLObject,
                                 Operation lockFeature,
                                 Operation transaction,
                                 OWSDomainType[] parameters,
                                 OWSDomainType[] constraints)

  Constructs a new `WFSOperationsMetadata` instance from the given parameters.

  Parameters:
    `getCapabilities` -
    `describeFeatureType` -
    `getFeature` -
    `getFeatureWithLock` - optional operation (may be null)
    `getGMLObject` - optional operation (may be null)
    `lockFeature` - optional operation (may be null)
    `transaction` - optional operation (may be null)
    `parameters` -
    `constraints` -

Method Detail

### getOperations

    public Operation[] getOperations()

  Returns all `Operations` known to the WFS.

  Overrides:
    `getOperations` in class `OperationsMetadata`
  Returns:
    all `Operations` known to the WFS.

### getDescribeFeatureType

    public Operation getDescribeFeatureType()

  Returns:
    Returns the describeFeatureType `Operation`.

### setDescribeFeatureType

    public void setDescribeFeatureType(Operation describeFeatureType)

  Parameters:
    `describeFeatureType` - The describeFeatureType `Operation` to set.

### getGetFeature

    public Operation getGetFeature()

  Returns:
    Returns the getFeature `Operation`.

### setGetFeature

    public void setGetFeature(Operation getFeature)

  Parameters:
    `getFeature` - The getFeature `Operation` to set.

### getGetFeatureWithLock

    public Operation getGetFeatureWithLock()

  Returns:
    Returns the getFeatureWithLock `Operation`.

### setGetFeatureWithLock

    public void setGetFeatureWithLock(Operation getFeatureWithLock)

  Parameters:
    `getFeatureWithLock` - The getFeatureWithLock `Operation` to set.

### getGetGMLObject

    public Operation getGetGMLObject()

  Returns:
    Returns the getGMLObject `Operation`.

### setGetGMLObject

    public void setGetGMLObject(Operation getGMLObject)

  Parameters:
    `getGMLObject` - The getGMLObject `Operation` to set.

### getLockFeature

    public Operation getLockFeature()

  Returns:
    Returns the lockFeature `Operation`.

### setLockFeature

    public void setLockFeature(Operation lockFeature)

  Parameters:
    `lockFeature` - The lockFeature `Operation` to set.

### getTransaction

    public Operation getTransaction()

  Returns:
    Returns the transaction `Operation`.

### setTransaction

    public void setTransaction(Operation transaction)

  Parameters:
    `transaction` - The transaction `Operation` to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org